aboutsummaryrefslogtreecommitdiff
path: root/binary_tarball/scripts/2_Download_Source_Code.sh
diff options
context:
space:
mode:
authorohfp <1813007-ohfp@users.noreply.gitlab.com>2020-03-28 23:15:41 +0100
committerohfp <1813007-ohfp@users.noreply.gitlab.com>2020-03-28 23:15:41 +0100
commitb409944faddbfa5dc4e318ef14942f7d9847397a (patch)
tree619c0d52a6f50680554686a5ffec62fdd4c462fb /binary_tarball/scripts/2_Download_Source_Code.sh
parentupdate eol gnome dependencies for flatpak (diff)
downloadlibrewolf-linux-b409944faddbfa5dc4e318ef14942f7d9847397a.tar.gz
librewolf-linux-b409944faddbfa5dc4e318ef14942f7d9847397a.tar.bz2
librewolf-linux-b409944faddbfa5dc4e318ef14942f7d9847397a.zip
de-Archify some aspects of builds and -scripts; allow to initiate separate steps manually; first attempt to build tarball on ubuntu 16.04
Diffstat (limited to 'binary_tarball/scripts/2_Download_Source_Code.sh')
-rwxr-xr-xbinary_tarball/scripts/2_Download_Source_Code.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/binary_tarball/scripts/2_Download_Source_Code.sh b/binary_tarball/scripts/2_Download_Source_Code.sh
index 67e87d2..c50149d 100755
--- a/binary_tarball/scripts/2_Download_Source_Code.sh
+++ b/binary_tarball/scripts/2_Download_Source_Code.sh
@@ -1,10 +1,12 @@
#!/bin/bash
printf "\n\n--------------------------------- SOURCE CODE DOWNLOAD --------------------------------------\n";
+if [[ -z ${pkgver} || -z ${pkgrel} ]]; then
+ echo '$pkgrel and/or $pkgver not provided'
+ exit 1
+fi
# Setup Script Variables
SOURCE_FOLDER=$1;
-# hardcoded vor now, we'll parse the _pkgver later on, probably from tags
-pkgver="73.0.1"
_SOURCE_CODE_URL="https://archive.mozilla.org/pub/firefox/releases/$pkgver/source/firefox-$pkgver.source.tar.xz";
_SOURCE_TAR="firefox-${pkgver}.tar.xz"
bgstack15